Bug 475054 - yum-verify inconsistent with rpm -Va
yum-verify inconsistent with rpm -Va
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 23:04 EST by Curtis Doty
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 801081 (view as bug list)
Environment:
Last Closed: 2009-10-12 16:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2008-12-06 23:04:27 EST
It shouldn't report the gcc-related verification errors below. The files in question are broken symlinks to 32-bit libs not installed on x86_64 system. Which rpm considers valid.

# rpm -Va |grep -v ' c '  
prelink: /usr/lib64/libOpenIPMIposix.so.0.0.1: prelinked file was modified
S.?.....    /usr/lib64/libOpenIPMIposix.so.0.0.1
.......T    /lib/modules/2.6.27.5-117.fc10.x86_64/modules.alias.bin
.......T    /lib/modules/2.6.27.5-117.fc10.x86_64/modules.dep.bin
.......T    /lib/modules/2.6.27.5-117.fc10.x86_64/modules.symbols.bin

# yum verify
Loaded plugins: changelog, fastestmirror, filter-data, list-data, remove-with-leaves, verify
==================== Installed Packages ====================
OpenIPMI-libs.x86_64 : The OpenIPMI runtime libraries
    File: /usr/lib64/libOpenIPMIposix.so.0.0.1
        Problem:  checksum does not match
        Current:  d41d8cd98f00b204e9800998ecf8427e
        Original: b26b02bcfee2364cd87bd550bdf9ef7d
                                   --------                                   
        Problem:  size does not match
        Current:   28 k
        Original:  25 k

gcc.x86_64 : Various compilers (C, C++, Objective-C, Java, ...)
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libgcc_s.so
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libgomp.so
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libmudflap.a
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libmudflapth.a
        Problem:  file is missing

gcc-c++.x86_64 : C++ support for GCC
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libstdc++.a
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libstdc++.so
        Problem:  file is missing

kernel.x86_64 : The Linux kernel
    File: /lib/modules/2.6.27.5-117.fc10.x86_64/modules.alias.bin
        Problem:  mtime does not match
        Current:  Sun Nov 30 16:50:08 2008 (12 days, 7:39:35 later)
        Original: Tue Nov 18 09:10:33 2008
    File: /lib/modules/2.6.27.5-117.fc10.x86_64/modules.dep.bin
        Problem:  mtime does not match
        Current:  Sun Nov 30 16:50:08 2008 (12 days, 7:39:35 later)
        Original: Tue Nov 18 09:10:33 2008
    File: /lib/modules/2.6.27.5-117.fc10.x86_64/modules.symbols.bin
        Problem:  mtime does not match
        Current:  Sun Nov 30 16:50:08 2008 (12 days, 7:39:34 later)
        Original: Tue Nov 18 09:10:34 2008
verify done
Comment 1 James Antill 2008-12-07 02:09:50 EST
See the man page. The command verify-rpm should produce the same output as rpm, the other commands do not.
Comment 2 Curtis Doty 2008-12-07 12:25:36 EST
Sorry, wasn't clear. The bug still exists with verify-rpm. In particular, it's this part of the output that's inconsistent with rpm -V.

gcc.x86_64 : Various compilers (C, C++, Objective-C, Java, ...)
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libgcc_s.so
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libgomp.so
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libmudflap.a
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libmudflapth.a
        Problem:  file is missing

gcc-c++.x86_64 : C++ support for GCC
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libstdc++.a
        Problem:  file is missing
    File: /usr/lib/gcc/x86_64-redhat-linux/4.3.2/32/libstdc++.so
        Problem:  file is missing
Comment 3 seth vidal 2009-10-12 16:37:56 EDT
okay - it's the symlink lookup that's doing it - I've found a package to replicate it with and I'll hopefully have a fix shortly.
Comment 4 seth vidal 2009-10-12 16:57:46 EDT
checked in a change upstream - waiting for ACK from someone else before it is pushed.

It fixes this problem.

I don't know if this fix will make it back to F10 but we should be able to get it into F11 and definitely as an update for F12.

Note You need to log in before you can comment on or make changes to this bug.